// $Id: jupe.h,v 1.2 2003/02/19 20:30:06 toast Exp $

#ifndef __JUPE_H__
#define __JUPE_H__


// Std C++ Headers
#include <string>
#include <list>

// Std C Headers
#include <time.h>

// OOMon Headers
#include "strtype"
#include "vars.h"


class JupeJoinList
{
public:
  JupeJoinList() { };

  void clear() { this->list.clear(); };

  void onNotice(const std::string & notice);

  void status(StrList & output) const;

private:
  class JupeJoinEntry
  {
  public:
    std::string	userhost;
    std::string	channel;
    int		count;
    time_t	last;
  };

  std::list<JupeJoinEntry> list;

  void checkJupe(const std::string & nick, const JupeJoinEntry & entry) const;

  void add(const std::string & nick, const std::string & userhost,
    const std::string & channel, time_t now);
};


extern JupeJoinList jupeJoiners;


#endif /* __JUPE_H__ */

