// $Id: main.h,v 1.15 2003/01/22 20:24:14 toast Exp $

#ifndef _MAIN_H_
#define _MAIN_H_

// Std C++ Headers
#include <string>

// Std C Headers
#include <signal.h>

// OOMon Headers
#include "strtype"
#include "dcc.h"
#include "watch.h"

void gracefuldie(int sig);
void ReloadConfig(const std::string &);
void SendAll(const std::string & message, const int flags = UF_NONE,
  const WatchSet & watches = WatchSet(), const DCC *exception = NULL);
void SendAll(const std::string & message, const int flags, Watch watch,
  const DCC *exception = NULL);
void motd(StrList &);

#endif
