// $Id: services.h,v 1.3 2003/02/14 17:46:45 toast Exp $

#ifndef __SERVICES_H__
#define __SERVICES_H__

// Std C++ Headers
#include <string>

// Std C Headers
#include <time.h>

// OOMon Headers


class Services
{
public:
  Services() { };

  void check();
  void pollSpamtrap();
  void onXoNotice(std::string Text);
  void onCaNotice(std::string Text);
  void onSpamtrapMessage(const std::string & text);
  void onSpamtrapNotice(const std::string & text);
  void onIson(const std::string & text);

private:
  std::string cloningHost;
  std::string userCount;
  time_t lastCheckedTime;
  bool klineSuggested;
  bool gettingCaReports;
};


extern Services services;


#endif /* __SERVICES_H__ */

