// $Id: autoaction.h,v 1.2 2003/02/20 19:06:57 toast Exp $

#ifndef __AUTOACTION_H__
#define __AUTOACTION_H__

// Std C++ Headers
#include <string>

// OOMon Headers
#include "botsock.h"


enum AutoAction
{
  ACTION_NOTHING, ACTION_KILL, ACTION_KLINE, ACTION_KLINE_HOST,
  ACTION_KLINE_DOMAIN, ACTION_KLINE_IP, ACTION_KLINE_USERNET, ACTION_KLINE_NET,
  ACTION_DLINE_IP, ACTION_DLINE_NET
};


void
doAction(const std::string & nick, const std::string & userhost,
  const BotSock::Address & ip, const AutoAction & action, int duration,
  const std::string & reason, bool suggestKlineAfterKill);


#endif /* __AUTOACTION_H__ */

