// $Id: helptopic.h,v 1.7 2003/05/28 15:56:50 toast Exp $

#ifndef _HELPTOPIC_H_
#define _HELPTOPIC_H_

#include <string>

#include "strtype"

class HelpTopic
{
private:
  StrVector topics;
  StrList syntax;
  StrList description;
  StrList example;
  StrList helpLink;
  StrList subTopic;
  int flags;
  bool error;

public:
  HelpTopic(void);
  HelpTopic(const HelpTopic &);
  ~HelpTopic(void);

  bool isTopic(const std::string &);
  bool hadError(void) const { return error; }
  StrList getHelp(void);
  StrList getHelp(const std::string &);
};

#endif

