// $Id: http.h,v 1.4 2003/01/30 16:39:36 toast Exp $

#ifndef __HTTP_H__
#define __HTTP_H__

#include <string>

#include "oomon.h"
#include "proxy.h"

class Http : public Proxy
{
public:
  Http(const std::string & hostname, const std::string & nick,
    const std::string & userhost) : Proxy(hostname, nick, userhost)
    { this->setBuffering(true); };

  virtual bool onConnect();

protected:
  virtual bool onRead(std::string);
  virtual ProxyType getType() const { return Proxy::HTTP; };
  virtual std::string getTypeName() const { return "HTTP CONNECT"; };
};

#endif
