// $Id: socks4.h,v 1.7 2003/01/30 16:39:37 toast Exp $

#ifndef __SOCKS4_H__
#define __SOCKS4_H__

#include <string>

#include "oomon.h"
#include "proxy.h"

class Socks4 : public Proxy
{
public:
  Socks4(const std::string & hostname, const std::string & nick,
    const std::string & userhost) : Proxy(hostname, nick, userhost) { };

  virtual bool onConnect();

protected:
  virtual bool onRead(std::string);
  virtual ProxyType getType() const { return Proxy::SOCKS4; };
  virtual std::string getTypeName() const { return "SOCKS4"; };
};

#endif /* __SOCKS4_H__ */

