// $Id: userdb.h,v 1.3 2003/05/17 18:52:27 toast Exp $

#ifndef __USERDB_H__
#define __USERDB_H__

// OOMon Headers
#include "botdb.h"


class UserDB : private BotDB
{
public:
  UserDB(const std::string & file) : BotDB(file) { this->_file = file; };

  bool getEcho(const std::string & handle);
  void setEcho(const std::string & handle, const bool value);

  std::string getWatches(const std::string & handle);
  void setWatches(const std::string & handle, const std::string & watches);

  std::string getFile() const { return this->_file; };

private:
  std::string _file;
};


extern UserDB *userConfig;


#endif /* __USERDB_H__ */

