// $Id: wingate.cc,v 1.28 2003/01/29 20:27:27 toast Exp $

// Std C++ headers
#include <iostream>
#include <fstream>
#include <string>

// OOMon headers
#include "oomon.h"
#include "wingate.h"
#include "log.h"
#include "main.h"
#include "engine.h"
#include "irc.h"


#ifdef DEBUG
# define WINGATE_DEBUG
#endif


// OnConnect()
//
// Returns true if no errors occurred
//
bool
WinGate::onConnect()
{
#ifdef WINGATE_DEBUG
  cout << "WinGate proxy detector connected to " << this->getAddress() <<
    ":" << this->getPort() << endl;
#endif

  return true;
}


// onRead(text)
//
// Parses incoming data
//
// Returns true if no errors occurred
//
bool
WinGate::onRead(std::string text)
{
  if ((std::string::npos != text.find("WinGate>")) || (std::string::npos !=
    text.find("Enter : <host> [port] :")) || (std::string::npos !=
    text.find("Too many connected users - try again later")))
  {
#ifdef WINGATE_DEBUG
    cout << "OPEN WINGATE PROXY DETECTED!" << endl;
#endif
    this->detectedProxy();
    return false;
  }
  return true; 
}

