// $Id: wingate.h,v 1.14 2003/01/30 16:39:37 toast Exp $

#ifndef __WINGATE_H__
#define __WINGATE_H__

#include <string>

#include "oomon.h"
#include "proxy.h"

class WinGate : public Proxy
{
public:
  WinGate(const std::string & hostname, const std::string & nick,
    const std::string & userhost) : Proxy(hostname, nick, userhost) { };

  virtual bool onConnect();

protected:
  virtual bool onRead(std::string);
  virtual ProxyType getType() const { return Proxy::WINGATE; };
  virtual std::string getTypeName() const { return "WinGate"; };
};

#endif /* __WINGATE_H__ */

